DATA_SECTION
  init_number Nobs
  init_vector X(1,Nobs)
  init_vector Y(1,Nobs)
  init_number sd

PARAMETER_SECTION
  init_number a
  init_number b
  sdreport_vector Ypred(1,Nobs)
  
  likeprof_number a_prof 
  
objective_function_value f

PROCEDURE_SECTION
  a_prof=a;
  Ypred=a+b*X;
  f=0.5*norm2((Y-Ypred)/sd);

