DATA_SECTION
 LOC_CALCS
  random_number_generator rng(123456);
  dvector sample(1,5);

  sample.fill_randu(rng);
  cout<<"Uniform(0,1): "<<sample<<endl; 

  sample.fill_randn(rng);
  cout<<"Normal(0,1): "<<sample<<endl; 

  sample.fill_randpoisson(1.5,rng);
  cout<<"pois(1.5): "<<sample<<endl;

  sample.fill_randnegbinomial(1.5,2.0,rng);	
  cout<<"neg.bin(1.5,2): "<<sample<<endl;

  sample.fill_randcau(rng);
  cout<<"Cauchy: "<<sample<<endl;

  sample.fill_randbi(0.8,rng);
  cout<<"binomial(n=1,p=0.8): "<<sample<<endl;

  dvector p("{.01,.495,.495}");
  sample.fill_multinomial(rng,p);
  cout<<"multinomial(n=1,p=(.01,.495,.495)): "
      <<sample<<endl;

  ad_exit(0);
 END_CALCS
PARAMETER_SECTION
  objective_function_value nll;

PROCEDURE_SECTION
